function addBookmark(title) {
     var url=parent.location.href;
     if (window.sidebar) {
         window.sidebar.addPanel(title, url,"");
     } else if( document.all ) {
        window.external.AddFavorite( url, title);
     } else if( window.opera && window.print ) {
        return true;
     }
}
function setHome(obj,vrl) {
    try{
    obj.style.behavior='url(#default#homepage)';obj.setHomePage(vrl);
    } catch(e){
        if(window.netscape) {
            try {
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
            }catch (e) {
                alert("抱歉！您的浏览器不支持直接设为首页。请在浏览器地址栏输入“about:config”并回车然后将[signed.applets.codebase_principal_support]设置为“true”，点击“加入收藏”后忽略安全提示，即可设置成功。");
            }
            var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
            prefs.setCharPref('browser.startup.homepage',vrl);
        }
    }
}
$(document).ready(function(){
    $("#topstabs").idTabs("!mouseover");
    $(".input").focus(function(){
        $(this).removeClass("error");
        $(this).addClass('fucos');
    });
    $(".input").blur(function(){
        $(this).removeClass('fucos');
        if($(this).val()=='') {
            $(this).addClass("error");
        }else {
            $(this).removeClass("error");
        }
    });
    $("#formLogin").submit(function(){
        if($("#passport").val()=='') {
            $("#passport").focus();
            $("#password").removeClass('fucos');
            return false;
        }
        if($("#password").val()=='') {
            $("#password").focus();
            $("#passport").removeClass('fucos');
            return false;
        }
        if($("#validcode").val()=='') {
            $("#validcode").focus();
            $("#passport").removeClass('fucos');
            $("#password").removeClass('fucos');
            return false;
        }
        /*
        else {
            if($("#validcode").val()==$("#ckv").val())
                return true
            else {
                $("#validcode").addClass("error");
                return false;
            }
        }
        */
        return true;
    });
    $("#usertype").change(function(){
        //$("#formLogin").attr("action",$(this).val());
        //$("#formLogin").action = $(this).val();
        document.formLogin.action = $(this).val();
    });
    $("#sethomepage").click(function(){
        setHome(this,window.location);
    });
    $("#addfav").click(function(){
        addBookmark(document.title);
    });
});